Thanks for the answer. I looked into documentation about NXOpen.Features.Thread, but there is not much there about it.
Below is my old code:
Option Strict Off
Imports System
Imports System.Collections.Generic
Imports NXOpen
Imports NXOpen.UF
Module Module1
Dim theSession As Session =...
Hello
I have journal to color all cylindrical faces which are part of thread feature. Everything works perfects on NX12. When I switch to NX2007, it's stopped working. I receive information:
NXOpen.NXException: Unknown feature type in NXOpen.UF.UFModl.AskSymbThreadParms(Tag thread_obj_id...
Thanks @Cowski. So the main problem was with calling view.
editViewSettingsBuilder1 = workPart.SettingsManager.CreateDrawingEditViewSettingsBuilder({dview})
Why is {} so important?
With best regards
Michael
Hello,
I wanna process all detail views to change label on it. Below is my code, but I receive an error "cannot convert detailview to 1-dimensional array view."
Option Strict Off
Imports System
Imports NXOpen
Module NXJournal
Dim theSession As NXOpen.Session = NXOpen.Session.GetSession()...
Thanks @Cowski, this is what I've been looking for. My old code was long and it wasn't process cylindrical face from unparametrised body, that's why I was looking for tweak it out.
below is my code, maybe it will be useful for someone.
Option Strict Off
Imports System
Imports...
Try this code:
Option Strict Off
Imports System
Imports NXOpen
Imports NXOpen.UF
Imports NXOpen.Assemblies
Imports System.Collections.Generic
Public class PList1
Public Property Part_Name As String
Public Property Mass_prt As String
Public Property Density As String
Public Sub...
Hello,
This journal create attribute in part called Mass_prt and You can call it on drawing. To do this You have to:
- create a note
- in note show symbols, then on category choose relationship
- then You have two options:
- part attribute - attribute from actual part, i.e nonmaster model...
Hello,
I think if You want to show mass on drawing You have two options:
- measure body and check associative, then parameter will be available in expressions
- or create custom attribute and assign mass to it by journal.
First option is difficult to use, because on each part mass value will...
Try this code:
'==============================================================================
' WARNING!! This file is overwritten by the Block UI Styler while generating
' the automation code. Any modifications to this file will be lost after
' generating the code again.
'
' Filename...
try this code:
'==============================================================================
' WARNING!! This file is overwritten by the Block UI Styler while generating
' the automation code. Any modifications to this file will be lost after
' generating the code again.
'
'...
I don't know if I understand You correctly, but below is updated code:
Option Strict Off
Imports System
Imports System.IO
Imports System.Collections.Generic
Imports NXOpen
Imports NXOpen.UF
Imports NXOpen.UI
Imports NXOpen.Assemblies
Public class PList1
Public Property Part_Name As...
What are values for CYL_CODE? Every file in assembly has this attribute - CYL_CODE or only few of them?
Uncoment this: (after end try)
'lw.writeline(child.Name & " , " & My_atrib)
and change it to something like this:
lw.writeline("Part name: " & child.Name)
lw.writeline("CYL_Code: " &...
@Kenja824
I don't know blockstyler, so my knowledge is poore about it, but I fixed some problems. I didn't have Your latest code, so I used it from first post.
The basic problem, like You figure out - You process workpart instead of selected part. Secund problem is part responsible to set...
Try something like this. It will not export to Excel but it will process all parts in assembly.
Option Strict Off
Imports System
Imports NXOpen
Imports NXOpen.UF
Imports NXOpen.Assemblies
Imports System.Collections.Generic
Public class PList1
Public Property Part_Name As String
Public...
Hello everybody,
@cowski thank for Your code, it help me alot.
Finally I found some time to finish it. I figure it out:
.linewidth
show values from 5-13, but
NXOpen.DisplayableObject.ObjectWidth
needs values from 1-9 or thick, thin and normal.
Below is my code. Maybe it will be...
@Cowski thank for the code. I will check it and write some review after that.
@Toost I know that Line, point or surface has no thickness, but in NX You can set width for representation. I writing journal to show selected curve properties like color, layer, type (solid, centreline, dotted) and...
Hello,
If You have small number of components You can Use simple interference. You select 2 bodies and as resulting object -> interference body.
In more complex assemblies I uses Menu -> Analysis -> Assembly Clearance -> Perform Analysis. I set important options: Clearance between...
On customer defaults I found this:
But lines created on file has values from 5 to 13. I'm not sure if I open file from created on different computer I will get the same values.
With best regards
Michael